### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-radio/ecl-radio-input.directive.ts`

### Extends

`ECLBaseDirective`

### Implements

`OnInit` `DoCheck`

### Metadata

Selector | `input[eclRadioInput]`

### Index

###### Properties
Public eclRadio
###### Methods
getCssClasses
###### Inputs
class e2eAttr
###### HostBindings
class
###### Accessors
cssClasses

### Constructor

`constructor(eclRadio: EclRadioDirective, ngControl: NgControl, cd: ChangeDetectorRef)`
Parameters :
Name | Type | Optional
eclRadio | `EclRadioDirective` | No
ngControl | `NgControl` | No
cd | `ChangeDetectorRef` | No

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

Public eclRadio
Type : `EclRadioDirective`
Decorators : `@Inject(undefined)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""